### R code from vignette source 'VegetationClassification.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: VegetationClassification.Rnw:18-19
###################################################
options(width=67)


###################################################
### code chunk number 2: VegetationClassification.Rnw:24-25
###################################################
library(vegclust)


###################################################
### code chunk number 3: VegetationClassification.Rnw:30-32
###################################################
data(wetland)
dim(wetland)


###################################################
### code chunk number 4: VegetationClassification.Rnw:35-36
###################################################
wetlandchord = decostand(wetland,"normalize")


###################################################
### code chunk number 5: VegetationClassification.Rnw:39-40
###################################################
dchord = dist(wetlandchord)


###################################################
### code chunk number 6: VegetationClassification.Rnw:174-176
###################################################
wetland.km = vegclust(x = wetlandchord, mobileCenters=3, 
                      method="KM", nstart=20)


###################################################
### code chunk number 7: VegetationClassification.Rnw:179-180
###################################################
names(wetland.km)


###################################################
### code chunk number 8: VegetationClassification.Rnw:183-184
###################################################
t(wetland.km$memb)


###################################################
### code chunk number 9: VegetationClassification.Rnw:187-188
###################################################
round(wetland.km$mobileCenters, dig=3)


###################################################
### code chunk number 10: VegetationClassification.Rnw:191-194
###################################################
wetland.kmdist = vegclustdist(x = dchord, mobileMemb=3, 
                              method="KM", nstart = 20)
names(wetland.kmdist)


###################################################
### code chunk number 11: VegetationClassification.Rnw:197-198
###################################################
wetland.kmdist$mobileCenters


###################################################
### code chunk number 12: VegetationClassification.Rnw:201-202
###################################################
t(wetland.kmdist$memb)


###################################################
### code chunk number 13: VegetationClassification.Rnw:205-207
###################################################
wetland.km$mode
wetland.kmdist$mode


###################################################
### code chunk number 14: VegetationClassification.Rnw:213-214
###################################################
round(t(wetland.km$dist2clusters), dig=2)


###################################################
### code chunk number 15: VegetationClassification.Rnw:217-220
###################################################
wetland.fcm = vegclust(x = wetlandchord, mobileCenters=3, 
                       method="FCM", m=1.2, nstart=20)
round(t(wetland.fcm$memb), dig=3)


###################################################
### code chunk number 16: VegetationClassification.Rnw:225-228
###################################################
groups = defuzzify(wetland.fcm)$cluster
groups
table(groups)


###################################################
### code chunk number 17: VegetationClassification.Rnw:231-234
###################################################
groups = defuzzify(wetland.fcm, method = "cut", alpha = 0.8)$cluster
groups
table(groups, useNA = "always")


###################################################
### code chunk number 18: VegetationClassification.Rnw:237-240
###################################################
wetland.fcm2 = vegclust(x = wetlandchord, mobileCenters=3, 
                       method="FCM", m=10, nstart=20)
round(t(wetland.fcm2$memb), dig=3)


###################################################
### code chunk number 19: VegetationClassification.Rnw:246-249
###################################################
wetland.nc = vegclust(x = wetlandchord, mobileCenters=3,
                       method="NC", m=1.2, dnoise=0.8, nstart=20)
round(t(wetland.nc$memb), dig=2)


###################################################
### code chunk number 20: VegetationClassification.Rnw:252-255
###################################################
groups = defuzzify(wetland.nc)$cluster
groups
table(groups)


###################################################
### code chunk number 21: VegetationClassification.Rnw:258-261
###################################################
groups = defuzzify(wetland.nc, method="cut", alpha=0.8)$cluster
groups
table(groups, useNA = "always")


###################################################
### code chunk number 22: VegetationClassification.Rnw:266-269
###################################################
dist(wetland.km$mobileCenters)
dist(wetland.fcm$mobileCenters)
dist(wetland.nc$mobileCenters)


###################################################
### code chunk number 23: VegetationClassification.Rnw:275-278
###################################################
wetland.kmdd = vegclust(x = wetlandchord, mobileCenters=3, 
                      method="KMdd", nstart=20)
t(wetland.kmdd$memb)


###################################################
### code chunk number 24: VegetationClassification.Rnw:281-282
###################################################
round(wetland.kmdd$mobileCenters, dig=3)


###################################################
### code chunk number 25: VegetationClassification.Rnw:285-288
###################################################
wetland.kmdd = vegclustdist(x = dchord, mobileMemb=3, 
                      method="KMdd", nstart=20)
wetland.kmdd$mobileCenters


###################################################
### code chunk number 26: VegetationClassification.Rnw:293-299
###################################################
wetland.31 = wetlandchord[1:31,]
wetland.31 = wetland.31[,colSums(wetland.31)>0]
dim(wetland.31)
wetland.10 = wetlandchord[-(1:31),]
wetland.10 = wetland.10[,colSums(wetland.10)>0] 
dim(wetland.10)


###################################################
### code chunk number 27: VegetationClassification.Rnw:302-304
###################################################
groups = kmeans(wetland.31, 2)$cluster
groups


###################################################
### code chunk number 28: VegetationClassification.Rnw:307-308
###################################################
wetland.31.km = as.vegclust(wetland.31, groups)


###################################################
### code chunk number 29: VegetationClassification.Rnw:311-312
###################################################
wetland.31.km$method


###################################################
### code chunk number 30: VegetationClassification.Rnw:315-317
###################################################
wetland.10.km = vegclass(wetland.31.km, wetland.10)
defuzzify(wetland.10.km)$cluster


###################################################
### code chunk number 31: VegetationClassification.Rnw:320-324
###################################################
wetland.31.nc = as.vegclust(wetland.31, groups, method="HNC", 
                            dnoise = 0.8)
wetland.10.nc = vegclass(wetland.31.nc, wetland.10)
defuzzify(wetland.10.nc)$cluster


###################################################
### code chunk number 32: VegetationClassification.Rnw:330-331
###################################################
fixed = clustcentroid(wetlandchord[1:length(groups),], groups)


###################################################
### code chunk number 33: VegetationClassification.Rnw:334-339
###################################################
wetland.nc = vegclust(wetlandchord, mobileCenters=1, 
                      fixedCenters = fixed, 
                      method = wetland.31.nc$method,
                      dnoise=wetland.31.nc$dnoise, nstart=10)
defuzzify(wetland.nc)$cluster


###################################################
### code chunk number 34: VegetationClassification.Rnw:344-349
###################################################
wetland.km = vegclust(wetlandchord, mobileCenters=1, 
                      fixedCenters = fixed, 
                      method = "KM",
                      nstart=10)
defuzzify(wetland.km)$cluster


###################################################
### code chunk number 35: VegetationClassification.Rnw:355-356
###################################################
groups = c(rep(1, 17), rep(2, 14), rep(3,10))


###################################################
### code chunk number 36: VegetationClassification.Rnw:363-365
###################################################
centroids = clustcentroid(wetlandchord, groups)
round(centroids, dig=3)


###################################################
### code chunk number 37: VegetationClassification.Rnw:369-371
###################################################
medoids = clustmedoid(wetlandchord, groups)
medoids


###################################################
### code chunk number 38: VegetationClassification.Rnw:382-383
###################################################
clustvar(wetlandchord, groups)


###################################################
### code chunk number 39: VegetationClassification.Rnw:395-396
###################################################
clustvar(dchord, groups)


###################################################
### code chunk number 40: VegetationClassification.Rnw:399-400
###################################################
clustvar(wetlandchord)


###################################################
### code chunk number 41: VegetationClassification.Rnw:405-406
###################################################
as.dist(as.matrix(dchord)[medoids,medoids])


###################################################
### code chunk number 42: VegetationClassification.Rnw:410-411
###################################################
dist(centroids)


###################################################
### code chunk number 43: VegetationClassification.Rnw:418-419
###################################################
interclustdist(dchord,groups)


###################################################
### code chunk number 44: VegetationClassification.Rnw:424-425
###################################################
c = clustconst(wetlandchord, memb = as.memb(groups))


###################################################
### code chunk number 45: VegetationClassification.Rnw:429-430
###################################################
d=summary(c, mode="all")


###################################################
### code chunk number 46: VegetationClassification.Rnw:434-435
###################################################
summary(c, mode="cluster", name=names(c)[1])


